> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update filesystem

> Allow you to upgrade the size of a filesystem.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /storage/filesystems/{filesystem_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /storage/filesystems/{filesystem_id}:
    patch:
      tags:
        - Storage
      summary: Update filesystem
      description: Allow you to upgrade the size of a filesystem.
      operationId: patch-storage-filesystems
      parameters:
        - name: filesystem_id
          in: path
          required: true
          examples:
            Success:
              value: fs_7vYAZqGBdMQ94
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Filesystem ID
                    type:
                      type: string
                      enum:
                        - filesystems
                    attributes:
                      type: object
                      properties:
                        size_in_gb:
                          type: integer
                          default: 1500
                          minimum: 1
                          maximum: 10000
                          description: Size in GB (not required, default is 1500)
                      required:
                        - size_in_gb
                  required:
                    - type
                    - attributes
                    - id
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: fs_7vYAZqGBdMQ94
                    type: filesystems
                    attributes:
                      size_in_gb: 1501
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Filesystem ID
                    type:
                      type: string
                      enum:
                        - filesystems
                    attributes:
                      type: object
                      properties:
                        size_in_gb:
                          type: integer
                          default: 1500
                          minimum: 1
                          maximum: 10000
                          description: Size in GB (not required, default is 1500)
                      required:
                        - size_in_gb
                  required:
                    - type
                    - attributes
                    - id
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: fs_7vYAZqGBdMQ94
                    type: filesystems
                    attributes:
                      size_in_gb: 1501
        required: true
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: fs_7vYAZqGBdMQ94
                      type: filesystems
                      attributes:
                        name: Lightweight Aluminum Computer
                        size_in_gb: 1501
                        created_at: '2026-01-14T15:57:08.000Z'
                        project:
                          id: proj_1R3zq2VvqWxyn
                          name: Enormous Iron Plate
                          slug: enormous-iron-plate
                          description: Durable Wooden Shoes
                          billing_type: Normal
                          billing_method: Normal
                          bandwidth_alert: false
                          environment: null
                          billing:
                            subscription_id: null
                            type: Normal
                            method: Normal
                          stats:
                            databases: 0
                            ip_addresses: 0
                            prefixes: 0
                            servers: 0
                            storages: 1
                            virtual_machines: 0
                            vlans: 0
                        team:
                          id: team_6RZQo811RrT97mgazl8wf1Ryxxo
                          name: 606 Team
                          slug: 606-team
                          description: 606 Team
                          address: >-
                            Apt. 122 58068 Bibi Prairie, Ardithport, NH
                            77015-2685
                          status: verified
                          currency:
                            id: cur_AW6Q2D9lqKLpr
                            code: BRL
                            name: Brazilian Real
                            currency_id: null
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/filesystem_data'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.storage.update_filesystem(filesystem_id="fs_7vYAZqGBdMQ94", data={
                    "id": "fs_7vYAZqGBdMQ94",
                    "type": latitudesh_python_sdk.PatchStorageFilesystemsStorageType.FILESYSTEMS,
                    "attributes": {
                        "size_in_gb": 1501,
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Storage.UpdateFilesystem(ctx, \"fs_7vYAZqGBdMQ94\", operations.PatchStorageFilesystemsStorageRequestBody{\n        Data: operations.PatchStorageFilesystemsStorageData{\n            ID: \"fs_7vYAZqGBdMQ94\",\n            Type: operations.PatchStorageFilesystemsStorageTypeFilesystems,\n            Attributes: operations.PatchStorageFilesystemsStorageAttributes{\n                SizeInGb: latitudeshgosdk.Pointer[int64](1501),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.storage.updateFilesystem({
                filesystemId: "fs_7vYAZqGBdMQ94",
                requestBody: {
                  data: {
                    id: "fs_7vYAZqGBdMQ94",
                    type: "filesystems",
                    attributes: {
                      sizeInGb: 1501,
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    filesystem_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - filesystems
        attributes:
          type: object
          properties:
            name:
              type: string
            size_in_gb:
              type: integer
            created_at:
              type: string
              format: date-time
              nullable: true
            project:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````